#include <bits/stdc++.h>
using namespace std;
int main()
{
    int izvucena, broj_karata, broj_na_karti_iznad_izvucene, index;

    cin >> broj_karata;

    int a[broj_karata];

    cin >> broj_na_karti_iznad_izvucene;

    for (int broj = 0; broj < broj_karata; broj++)
    {
        cin >> a[broj];
    }


    for (int broj = 0; broj < broj_karata; broj++)
    {
        if (a[broj] == broj_na_karti_iznad_izvucene) {
            index = broj;
        }
    }

    if (broj_na_karti_iznad_izvucene == a[broj_karata - 1])
    {
        izvucena = a[0];
    }
    else
    {
        izvucena = a[index + 1];
    }

    cout << izvucena << endl;

    return 0;
}